Html formatted labels
Status: Open

Priority: Normal

Assignee: Nathan Woodrow

Category: Map Canvas

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14063

Description

In addition to expression based labels (#3488), it would be great to have a partial html formatting (e.g. <font size> <b> <i> <br> and <hr>)

Especially the horizontal line is often required:

some_field || '<hr/>' || another_field

History

#1 - 2011-11-16 09:23 PM - cgsbob -

- Pull Request or Patch supplied set to No

I'd also like to see a WYSIWYG editor like the Redmine editor I'm typing in now.  Then you don't have to remember the markup language.

#2 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2013-10-23 11:22 PM - Giedrius Vaivilavičius

Make a bold or italic, and change the color of individual words Label. Example: the first line is bold in red text, font 12, second row 10 green italic font.

#4 - 2013-11-22 11:51 AM - Antonio Locandro

I agree this would be an useful feature, and also in combination with a WYSIWYG editor would make a powerful combo if possible

#5 - 2014-05-07 09:44 PM - Azlan Budi

- File HTML_Editor.jpg added

CKeditor like WYSIWYG editor on top of HTML formSomething like this in Map composer, where you can also do tables easily.

Probably a simplified version can be used in other function such as Text Annotation.

#6 - 2015-11-02 11:34 PM - Mete Ercan Pakdil

Hello there,

Last week I made a presentation about my paper titled "Smart Aeronautical Chart Management System Design" in GeoAdvances 2015, Kuala Lumpur.
In the "Questions" part of my presentation, a professor from UCL (unfortunately I don't remember her name) asked me "why not a open source GIS instead

of ArcGIS". I explained that aeronautical charts need special labels and OS GIS apps do not have this functionality yet. The professor suggested me here

to request this functionality.

Indeed, Borys Jurgiel already asked it but it is changed to "Nice to Have". However, this is very important in aeronautical charts. I beleive by using of HTML

capabilities, we can produce charts in QGIS. Only two commercial apps from ESRI and Luciad can make it.

Paper: http://www.isprs-ann-photogramm-remote-sens-spatial-inf-sci.net/II-2-W2/index.html

#7 - 2016-02-04 05:19 AM - Martin HOFFMANN

A little up because this feature request just popped up again 5 days ago at GIS Stack Exchange

http://gis.stackexchange.com/questions/178680/different-styles-in-same-label

And for the record theses very similar questions are being up-voted on regular basis and still don't have satisfactory answers.

http://gis.stackexchange.com/questions/48389/how-to-create-a-label-combining-different-font-sizes-or-types?lq=1

http://gis.stackexchange.com/questions/64285/multiple-text-formats-in-a-qgis-label?lq=1

As I said in the latest thread, this is one of my last "damn ArcGis is still better on that" point...

#8 - 2016-02-28 03:10 AM - Nathan Woodrow

- % Done changed from 0 to 10

- File htmllabels.png added

- Assignee set to Nathan Woodrow

Work in progress

#9 - 2016-09-20 01:48 AM - Martin HOFFMANN

Hello this seems partially implemented in 2.16.2

If I input this in the expression editor:

format('<h1>This</h1><b style="color: blue">%1 a %2</b>','is', 'test')

I can seen the formatted result preview in the expression editor but not in the canvas.

Is it normal? People may thing this is working while actually it is still in development...

#10 - 2016-11-17 02:46 AM - mr twister

In 2.18.0 the formatted result is still in the preview of the expression editor but not in the canvas visible. This is a feature I have been waiting for a long

time.

#11 - 2017-01-25 01:08 AM - Harrissou Santanna

Hi,
mr twister wrote:

This is a feature I have been waiting for a long time.

Please, do not simply wait for it. Help devs make it a reality (there's already a work in progress at https://github.com/qgis/QGIS/pull/2856). If you are

looking for it, you can advertise on it, (help) raise a funding/crowfunding on it and, given all interested people here (plus those who didn't express their

interest), it might be doable.

See http://nyalldawson.net/2016/08/how-to-effectively-get-things-changed-in-qgis/

#12 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
